Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hyperion.css.i18n
Class CSSI18NConstants

    java.lang.Object
      |
      +--com.hyperion.css.i18n.CSSI18NConstants

public class CSSI18NConstants
extends java.lang.Object

Constants that map to the keys in the resource bundle.

Since:
  CSSv2.0

Field Summary
`static java.lang.String` | `ARG_INVALID_W_N_A_V` Constant that holds the value "invalidArgumentPassedInWithArgNameAndValue", a key in the resource bundle.
`static java.lang.String` | `AUTHENTICATION_FAILURE_KEY` Constant that holds the value "authenticationFailure", a key in the resource bundle.
`static java.lang.String` | `CLASS_LOADER_NOT_AVAILABLE` Constant that holds the value "unableToGetClassLoader", a key in the resource bundle.
`static java.lang.String` | `CLASS_NOT_LOADED` Constant that holds the value "unableToLoadClass", a key in the resource bundle.
`static java.lang.String` | `CONTEXT` Constant that holds the value "context", a key in the resource bundle.
`static java.lang.String` | `COUNT_INVALID` Constant that holds the value "invalidNo", a key in the resource bundle.
`static java.lang.String` | `EXCEPTION_BUNDLE_NAME` Constant that holds the value "CSSMessages", a key in the resource bundle.
`static java.lang.String` | `EXCEPTION_IN_GROUP_IDENTITY_KEY` Constant that holds the value "ExceptionInGroupIdentity", a key in the resource bundle.
`static java.lang.String` | `EXCEPTION_IN_USER_IDENTITY_KEY` Constant that holds the value "ExceptionInUserIdentity", a key in the resource bundle.
`static java.lang.String` | `FILE_NOT_AVAILABLE` Constant that holds the value "fileNotAvailable", a key in the resource bundle.
`static java.lang.String` | `IDENTITY_INVALID` Constant that holds the value "invalidIdentity", a key in the resource bundle.
`static java.lang.String` | `IDENTITY_INVALID_WR` Constant that holds the value "invalidIdentityWithReason", a key in the resource bundle.
`static java.lang.String` | `INVALID_ARGUMENT_KEY` Constant that holds the value "invalidArgumentPassedInWithArgName", a key in the resource bundle.
`static java.lang.String` | `INVALID_ARGUMENTS_KEY` Constant that holds the value "invalidArgumentsPassedIn", a key in the resource bundle.
`static java.lang.String` | `INVALID_CONFIGURATION_FOR_PROVIDER` Constant that holds the value "unableToCreateProviderInstances", a key in the resource bundle.
`static java.lang.String` | `LOGIN_IN_ARG_D_N_M_RETURN_VALUE` Constant that holds the value "loginNameInArgDoesNotMatchReturnValue", a key in the resource bundle.
`static java.lang.String` | `LOGIN_NAME_FROM_SECURITY_AGENT` Constant that holds the value "loginNameFromSecurityAgent", a key in the resource bundle.
`static java.lang.String` | `OPERATION_NOT_SUPPORTED_KEY` Constant that holds the value "operationNotSupportedException", a key in the resource bundle.
`static java.lang.String` | `PROVIDER_CONFIGURATION_ABSENT` Constant that holds the value "noConfigurationForProvider", a key in the resource bundle.
`static java.lang.String` | `PROVIDER_FACTORY_ABSENT` Constant that holds the value "noProviderFactory", a key in the resource bundle.
`static java.lang.String` | `PROVIDER_NOT_INITIALIZED_KEY` Constant that holds the value "ProviderNotInitialized", a key in the resource bundle.
`static java.lang.String` | `PROVIDER_TYPE` Constant that holds the value "providerType", a key in the resource bundle.
`static java.lang.String` | `PROVIDER_TYPE_FROM_IDENTITY` Constant that holds the value "providerTypeFromIdentity", a key in the resource bundle.
`static java.lang.String` | `REMOTE_SERVER_EXCEPTION_KEY` Constant that holds the value "remoteServerException", a key in the resource bundle.
`static java.lang.String` | `REMOTE_SERVER_INSTANCE_CREATE_EXCEPTION_KEY` Constant that holds the value "remoteServerInstanceCreateException", a key in the resource bundle.
`static java.lang.String` | `SEARCH_ORDER` Constant that holds the value "searchOrder", a key in the resource bundle.
`static java.lang.String` | `SECURITY_AGENT_CONF_BUT_HEADER_NOT_AVAIL` Constant that holds the value "securityAgentConfiguredButNoHeader", a key in the resource bundle.
`static java.lang.String` | `SECURITY_AGENT_N_C_FOR_LOGIN_NAME` Constant that holds the value "securityAgentNotConfiguredForLoginName", a key in the resource bundle.
`static java.lang.String` | `SECURITY_AGENT_USED_FOR_AUTH` Constant that holds the value "securityAgentBeingUsedForAuth", a key in the resource bundle.
`static java.lang.String` | `SKIPPING_VALIDATION` Constant that holds the value "skippingValidation", a key in the resource bundle.
`static java.lang.String` | `TOKEN` Constant that holds the value "token", a key in the resource bundle.
`static java.lang.String` | `TOKEN_CANNOT_BE_PARSED` Constant that holds the value "tokenCannotBeParsed", a key in the resource bundle.
`static java.lang.String` | `TOKEN_INVALID` Constant that holds the value "tokenInvalid", a key in the resource bundle.
`static java.lang.String` | `TOKEN_NOT_ACCEPTED_AS_PROVIDER_UNTRUSTED` Constant that holds the value "tokenNotAcceptedAsProviderIsUntrusted", a key in the resource bundle.
`static java.lang.String` | `TYPE` Constant that holds the value "type", a key in the resource bundle.
`static java.lang.String` | `UNABLE_TO_CREATE_PROVIDER_INSTANCES` Constant that holds the value "unableToCreateProviderInstances", a key in the resource bundle.
`static java.lang.String` | `UNABLE_TO_READ_RESOURCE` Constant that holds the value "unableToReadResource", a key in the resource bundle.
`static java.lang.String` | `USER_LITERAL` Constant that holds the value "user", a key in the resource bundle.
`static java.lang.String` | `USER_NOT_FOUND_KEY` Constant that holds the value "userNotFound", a key in the resource bundle.
`static java.lang.String` | `VALUE_IS` Constant that holds the value "valueIs", a key in the resource bundle.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ARG_INVALID_W_N_A_V

    public static final java.lang.String ARG_INVALID_W_N_A_V

  Constant that holds the value "invalidArgumentPassedInWithArgNameAndValue", a key in the resource bundle.

  See Also:
    Constant Field Values

### PROVIDER_FACTORY_ABSENT

    public static final java.lang.String PROVIDER_FACTORY_ABSENT

  Constant that holds the value "noProviderFactory", a key in the resource bundle.

  See Also:
    Constant Field Values

### PROVIDER_CONFIGURATION_ABSENT

    public static final java.lang.String PROVIDER_CONFIGURATION_ABSENT

  Constant that holds the value "noConfigurationForProvider", a key in the resource bundle.

  See Also:
    Constant Field Values

### PROVIDER_TYPE_FROM_IDENTITY

    public static final java.lang.String PROVIDER_TYPE_FROM_IDENTITY

  Constant that holds the value "providerTypeFromIdentity", a key in the resource bundle.

  See Also:
    Constant Field Values

### SECURITY_AGENT_N_C_FOR_LOGIN_NAME

    public static final java.lang.String SECURITY_AGENT_N_C_FOR_LOGIN_NAME

  Constant that holds the value "securityAgentNotConfiguredForLoginName", a key in the resource bundle.

  See Also:
    Constant Field Values

### IDENTITY_INVALID_WR

    public static final java.lang.String IDENTITY_INVALID_WR

  Constant that holds the value "invalidIdentityWithReason", a key in the resource bundle.

  See Also:
    Constant Field Values

### IDENTITY_INVALID

    public static final java.lang.String IDENTITY_INVALID

  Constant that holds the value "invalidIdentity", a key in the resource bundle.

  See Also:
    Constant Field Values

### TOKEN_CANNOT_BE_PARSED

    public static final java.lang.String TOKEN_CANNOT_BE_PARSED

  Constant that holds the value "tokenCannotBeParsed", a key in the resource bundle.

  See Also:
    Constant Field Values

### TOKEN_INVALID

    public static final java.lang.String TOKEN_INVALID

  Constant that holds the value "tokenInvalid", a key in the resource bundle.

  See Also:
    Constant Field Values

### TOKEN_NOT_ACCEPTED_AS_PROVIDER_UNTRUSTED

    public static final java.lang.String TOKEN_NOT_ACCEPTED_AS_PROVIDER_UNTRUSTED

  Constant that holds the value "tokenNotAcceptedAsProviderIsUntrusted", a key in the resource bundle.

  See Also:
    Constant Field Values

### UNABLE_TO_CREATE_PROVIDER_INSTANCES

    public static final java.lang.String UNABLE_TO_CREATE_PROVIDER_INSTANCES

  Constant that holds the value "unableToCreateProviderInstances", a key in the resource bundle.

  See Also:
    Constant Field Values

### INVALID_CONFIGURATION_FOR_PROVIDER

    public static final java.lang.String INVALID_CONFIGURATION_FOR_PROVIDER

  Constant that holds the value "unableToCreateProviderInstances", a key in the resource bundle.

  See Also:
    Constant Field Values

### LOGIN_IN_ARG_D_N_M_RETURN_VALUE

    public static final java.lang.String LOGIN_IN_ARG_D_N_M_RETURN_VALUE

  Constant that holds the value "loginNameInArgDoesNotMatchReturnValue", a key in the resource bundle.

  See Also:
    Constant Field Values

### SECURITY_AGENT_USED_FOR_AUTH

    public static final java.lang.String SECURITY_AGENT_USED_FOR_AUTH

  Constant that holds the value "securityAgentBeingUsedForAuth", a key in the resource bundle.

  See Also:
    Constant Field Values

### SECURITY_AGENT_CONF_BUT_HEADER_NOT_AVAIL

    public static final java.lang.String SECURITY_AGENT_CONF_BUT_HEADER_NOT_AVAIL

  Constant that holds the value "securityAgentConfiguredButNoHeader", a key in the resource bundle.

  See Also:
    Constant Field Values

### COUNT_INVALID

    public static final java.lang.String COUNT_INVALID

  Constant that holds the value "invalidNo", a key in the resource bundle.

  See Also:
    Constant Field Values

### CLASS_NOT_LOADED

    public static final java.lang.String CLASS_NOT_LOADED

  Constant that holds the value "unableToLoadClass", a key in the resource bundle.

  See Also:
    Constant Field Values

### CLASS_LOADER_NOT_AVAILABLE

    public static final java.lang.String CLASS_LOADER_NOT_AVAILABLE

  Constant that holds the value "unableToGetClassLoader", a key in the resource bundle.

  See Also:
    Constant Field Values

### FILE_NOT_AVAILABLE

    public static final java.lang.String FILE_NOT_AVAILABLE

  Constant that holds the value "fileNotAvailable", a key in the resource bundle.

  See Also:
    Constant Field Values

### UNABLE_TO_READ_RESOURCE

    public static final java.lang.String UNABLE_TO_READ_RESOURCE

  Constant that holds the value "unableToReadResource", a key in the resource bundle.

  See Also:
    Constant Field Values

### VALUE_IS

    public static final java.lang.String VALUE_IS

  Constant that holds the value "valueIs", a key in the resource bundle.

  See Also:
    Constant Field Values

### SKIPPING_VALIDATION

    public static final java.lang.String SKIPPING_VALIDATION

  Constant that holds the value "skippingValidation", a key in the resource bundle.

  See Also:
    Constant Field Values

### TYPE

    public static final java.lang.String TYPE

  Constant that holds the value "type", a key in the resource bundle.

  See Also:
    Constant Field Values

### TOKEN

    public static final java.lang.String TOKEN

  Constant that holds the value "token", a key in the resource bundle.

  See Also:
    Constant Field Values

### SEARCH_ORDER

    public static final java.lang.String SEARCH_ORDER

  Constant that holds the value "searchOrder", a key in the resource bundle.

  See Also:
    Constant Field Values

### PROVIDER_TYPE

    public static final java.lang.String PROVIDER_TYPE

  Constant that holds the value "providerType", a key in the resource bundle.

  See Also:
    Constant Field Values

### CONTEXT

    public static final java.lang.String CONTEXT

  Constant that holds the value "context", a key in the resource bundle.

  See Also:
    Constant Field Values

### LOGIN_NAME_FROM_SECURITY_AGENT

    public static final java.lang.String LOGIN_NAME_FROM_SECURITY_AGENT

  Constant that holds the value "loginNameFromSecurityAgent", a key in the resource bundle.

  See Also:
    Constant Field Values

### EXCEPTION_BUNDLE_NAME

    public static final java.lang.String EXCEPTION_BUNDLE_NAME

  Constant that holds the value "CSSMessages", a key in the resource bundle.

  See Also:
    Constant Field Values

### PROVIDER_NOT_INITIALIZED_KEY

    public static final java.lang.String PROVIDER_NOT_INITIALIZED_KEY

  Constant that holds the value "ProviderNotInitialized", a key in the resource bundle.

  See Also:
    Constant Field Values

### USER_NOT_FOUND_KEY

    public static final java.lang.String USER_NOT_FOUND_KEY

  Constant that holds the value "userNotFound", a key in the resource bundle.

  See Also:
    Constant Field Values

### AUTHENTICATION_FAILURE_KEY

    public static final java.lang.String AUTHENTICATION_FAILURE_KEY

  Constant that holds the value "authenticationFailure", a key in the resource bundle.

  See Also:
    Constant Field Values

### OPERATION_NOT_SUPPORTED_KEY

    public static final java.lang.String OPERATION_NOT_SUPPORTED_KEY

  Constant that holds the value "operationNotSupportedException", a key in the resource bundle.

  See Also:
    Constant Field Values

### EXCEPTION_IN_USER_IDENTITY_KEY

    public static final java.lang.String EXCEPTION_IN_USER_IDENTITY_KEY

  Constant that holds the value "ExceptionInUserIdentity", a key in the resource bundle.

  See Also:
    Constant Field Values

### REMOTE_SERVER_EXCEPTION_KEY

    public static final java.lang.String REMOTE_SERVER_EXCEPTION_KEY

  Constant that holds the value "remoteServerException", a key in the resource bundle.

  See Also:
    Constant Field Values

### INVALID_ARGUMENT_KEY

    public static final java.lang.String INVALID_ARGUMENT_KEY

  Constant that holds the value "invalidArgumentPassedInWithArgName", a key in the resource bundle.

  See Also:
    Constant Field Values

### INVALID_ARGUMENTS_KEY

    public static final java.lang.String INVALID_ARGUMENTS_KEY

  Constant that holds the value "invalidArgumentsPassedIn", a key in the resource bundle.

  See Also:
    Constant Field Values

### USER_LITERAL

    public static final java.lang.String USER_LITERAL

  Constant that holds the value "user", a key in the resource bundle.

  See Also:
    Constant Field Values

### EXCEPTION_IN_GROUP_IDENTITY_KEY

    public static final java.lang.String EXCEPTION_IN_GROUP_IDENTITY_KEY

  Constant that holds the value "ExceptionInGroupIdentity", a key in the resource bundle.

  See Also:
    Constant Field Values

### REMOTE_SERVER_INSTANCE_CREATE_EXCEPTION_KEY

    public static final java.lang.String REMOTE_SERVER_INSTANCE_CREATE_EXCEPTION_KEY

  Constant that holds the value "remoteServerInstanceCreateException", a key in the resource bundle.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2004 Hyperion Solutions Corporation. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD